Subject: Re: [PATCH net-next 2/4] mv88e6xxx: Cache scratch config3 of 6352

From: Jakub Kicinski <[email-masked]>
Date: Tue, 19 May 2026 18:50:54 -0700

On Sat, 16 May 2026 00:37:05 +0200 Fidan Aliyeva wrote:
> +/**
> + * mv88e6352_g2_cache_global_scratch_config3 - caches G2 CONFIG3 value
> + * @chip: chip private data
> + *
> + * Reads and stores config3 value of global2 scratch registers, which
> + * can be used to determine if the port is attached to a serdes. The
> + * value does not change once the switch is released from reset and
> + * represents the value of the pin strapping. Returns negative error
> + * number if the register read fails; otherwise, 0
> + */

The documentation of the return value has to follow the kdoc format.

 * Returns: ...
-- 
pw-bot: cr